MultiFileUploader Plugin - Defect #1570

Error when running in Electron
07/02/2020 06:42 PM - Paul Bromwell

Status: Resolved Start date: 07/02/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Similar issue to #1238 but I'm getting a different error.

Uncaught TypeError: window.opener.location.reload is not a function
Exception is thrown in this block:
success: function () {

if (window.opener)

window.opener.location.reload() ;
window.close () ;

History

#1 - 07/02/2020 07:08 PM - Patrick Talbot

- Status changed from New to Resolved

Check out v1.0.11 where I've secured this call.
Make sure you update the jgfu folder in your server/webapps/ROOT/

#2 - 07/10/2020 04:21 PM - Paul Bromwell
Hey Patrick!

Sorry to be a pain, but v1.0.11 is throwing the same error. | see the fix in the jgfu uploader.html file, however, the one inside the JAR doesn't have the
fix.

If it helps, here's the path of the file that still has the issue: http:/localhost:8080/servoy-service/multifile/uploader.html
Let me know if there's any more information | can provide to help assist you with this error.
#3 - 07/10/2020 05:44 PM - Patrick Talbot

Sorry, | had forgot the uploader.html file called by the plugin was the one in the jar!
I've fixed this one as well in v1.0.12, hopefully this fixes it for you, get it from the Files section
